---
updatedAt: 2025-09-11T20:53:52.000Z
agentTools:
  projectIndex: https://developer.ware2go.io/llms.txt
---

# Get a paged list of Inbound Shipments

Returns all inbound shipments with the shipments List Object. Pages will contain up to 100 shipments.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Merchant API",
    "version": "1.0.0",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "contact": {
      "name": "Ware2Go",
      "url": "http://www.ware2go.co",
      "email": "support@ware2go.co"
    },
    "description": "Merchant API for customer access."
  },
  "servers": [
    {
      "url": "https://openapi.staging.tryware2go.com/v1",
      "description": "Staging/Customer Acceptance",
      "variables": {
        "merchantId": {
          "default": "YOUR_MERCHANT_ID",
          "description": "The assigned merchant identifier provided by Ware2Go"
        }
      }
    },
    {
      "url": "https://openapi.ware2go.io/v1",
      "description": "Production",
      "variables": {
        "merchantId": {
          "default": "YOUR_MERCHANT_ID",
          "description": "The assigned merchant identifier provided by Ware2Go"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Inbound Shipments",
      "description": "API endpoints that govern Advanced Shipment Notification (ASN) operations"
    }
  ],
  "paths": {
    "/merchants/{merchantId}/inbound_shipments": {
      "get": {
        "summary": "Get a paged list of Inbound Shipments",
        "tags": [
          "Inbound Shipments"
        ],
        "operationId": "get-v1-merchants-merchantId-inbound_shipments",
        "description": "Returns all inbound shipments with the shipments List Object. Pages will contain up to 100 shipments.",
        "parameters": [
          {
            "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas~1%7BrmaNumber%7D/parameters/0"
          },
          {
            "schema": {
              "type": "number",
              "exclusiveMinimum": true,
              "minimum": 0,
              "example": 2
            },
            "in": "query",
            "name": "page",
            "description": "The page of the results to provide. Default value is 1."
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas/get/responses/200/content/application~1json/schema/allOf/0"
                    },
                    {
                      "type": "object",
                      "properties": {
                        "shipments": {
                          "description": "An array of objects that define a shipment.",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "title": "Inbound Shipment Summary",
                            "properties": {
                              "shipmentId": {
                                "description": "The unique identifier of the shipment.",
                                "type": "string",
                                "maxLength": 30
                              },
                              "referenceId": {
                                "description": "The unique identifier for the shipment in Ware2Go.",
                                "type": "string",
                                "maxLength": 30
                              },
                              "destinationFacility": {
                                "description": "An object defining the warehouse that will receive the shipment.",
                                "allOf": [
                                  {
                                    "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1match/get/responses/200/content/application~1json/schema/properties/matches/items"
                                  },
                                  {
                                    "required": [
                                      "id"
                                    ]
                                  }
                                ]
                              },
                              "status": {
                                "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1inbound_shipments/post/responses/200/content/application~1json/schema/properties/status"
                              },
                              "receiptType": {
                                "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1inbound_shipments/post/responses/200/content/application~1json/schema/properties/receiptType"
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "Inbound Shipments Response": {
                    "value": {
                      "meta": {
                        "serviceName": "openapi",
                        "version": "1.0.0",
                        "dateTime": "2022-12-19T22:49:42.516Z",
                        "traceId": "8703564881955774448"
                      },
                      "page": 1,
                      "link": "https://openapi.ware2go.io/v1/merchants/G42HN/inbound_shipments?page=2",
                      "shipments": [
                        {
                          "shipmentId": "1999",
                          "referenceId": "1999",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 189,
                            "name": "Richmond 802"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "195",
                          "referenceId": "195",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 189,
                            "name": "Richmond 802"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "APTESTPALPDAL",
                          "referenceId": "APTESTPALPDAL",
                          "status": "RECEIVED",
                          "destinationFacility": {
                            "id": 903,
                            "name": "Productiv - W2G - Dallas 903"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "APTESTPALPRICH",
                          "referenceId": "APTESTPALPRICH",
                          "status": "RECEIVED",
                          "destinationFacility": {
                            "id": 189,
                            "name": "Richmond 802"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "APTESTPALP",
                          "referenceId": "APTESTPALP",
                          "status": "CANCELLED",
                          "destinationFacility": {
                            "id": 189,
                            "name": "Richmond 802"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "TEST-20190ZZZA",
                          "referenceId": "TEST-20190ZZZA",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "TEST-20190123A",
                          "referenceId": "TEST-20190123A",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "2021052402",
                          "referenceId": "2021052402",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "2021052401",
                          "referenceId": "2021052401",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "SHOPIFY",
                          "referenceId": "SHOPIFY",
                          "status": "RECEIVED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "Shopify Inbound Test",
                          "referenceId": "Shopify Inbound Test",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "sample20200802",
                          "referenceId": "sample20200802",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 5,
                            "name": "W2G Test Building 5"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "NPASNTST070802",
                          "referenceId": "NPASNTST070802",
                          "status": "SHIPPED",
                          "destinationFacility": {
                            "id": 52,
                            "name": "NON-ACTIVE: CPS Logistics - Miami 52"
                          },
                          "receiptType": "ASN"
                        },
                        {
                          "shipmentId": "NPASNTST070801",
                          "referenceId": "NPASNTST070801",
                          "status": "CANCELLED",
                          "destinationFacility": {
                            "id": 52,
                            "name": "NON-ACTIVE: CPS Logistics - Miami 52"
                          },
                          "receiptType": "ASN"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas/get/responses/403"
          },
          "404": {
            "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas/get/responses/404"
          },
          "429": {
            "$ref": "#/paths/~1merchants~1%7BmerchantId%7D~1rmas/get/responses/429"
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "meta": {
                      "type": "object",
                      "properties": {
                        "serviceName": {
                          "type": "string",
                          "example": "openapi"
                        },
                        "version": {
                          "type": "string",
                          "example": "1.0.0"
                        },
                        "dateTime": {
                          "type": "string",
                          "format": "date-time",
                          "example": "2021-04-21T20:06:33.567Z"
                        },
                        "traceId": {
                          "type": "string",
                          "example": "6873510985986128354"
                        }
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "title": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string"
                                },
                                "code": {
                                  "type": "string"
                                },
                                "title": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "detail": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Basic": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic Authentication (Username and Password) on the Authorization Header"
      },
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Bearer Authentication (Bearer Token) on the Authorization Header"
      }
    }
  },
  "security": [
    {
      "Basic": []
    },
    {
      "Bearer": []
    }
  ]
}
```